=== modified file 'org.vcs.bazaar.eclipse.core.tests/.classpath'
--- org.vcs.bazaar.eclipse.core.tests/.classpath	2008-11-04 04:25:58 +0000
+++ org.vcs.bazaar.eclipse.core.tests/.classpath	2009-07-09 20:29:33 +0000
@@ -1,6 +1,7 @@
 <?xml version="1.0" encoding="UTF-8"?>
 <classpath>
 	<classpathentry excluding="org/vcs/bazaar/eclipse/core/status/SynchronizerSyncInfoCache.java" kind="src" path="src"/>
+	<classpathentry exported="true" kind="lib" path="commons-logging-1.1.1.jar"/>
 	<classpathentry kind="con" path="org.eclipse.jdt.launching.JRE_CONTAINER/org.eclipse.jdt.internal.debug.ui.launcher.StandardVMType/J2SE-1.5"/>
 	<classpathentry kind="con" path="org.eclipse.pde.core.requiredPlugins"/>
 	<classpathentry kind="lib" path="bzr-java-lib-0.5.1-SNAPSHOT-tests.jar"/>

=== modified file 'org.vcs.bazaar.eclipse.core.tests/META-INF/MANIFEST.MF'
--- org.vcs.bazaar.eclipse.core.tests/META-INF/MANIFEST.MF	2008-11-04 04:25:58 +0000
+++ org.vcs.bazaar.eclipse.core.tests/META-INF/MANIFEST.MF	2009-07-09 20:29:33 +0000
@@ -14,7 +14,8 @@
  org.junit4
 Eclipse-LazyStart: true
 Bundle-ClassPath: .,
- bzr-java-lib-0.5.1-SNAPSHOT-tests.jar
+ bzr-java-lib-0.5.1-SNAPSHOT-tests.jar,
+ commons-logging-1.1.1.jar
 Bundle-RequiredExecutionEnvironment: J2SE-1.5
 Export-Package: org.vcs.bazaar.eclipse,
  org.vcs.bazaar.eclipse.core.commands

=== modified file 'org.vcs.bazaar.eclipse.core.tests/build.properties'
--- org.vcs.bazaar.eclipse.core.tests/build.properties	2009-01-17 23:34:36 +0000
+++ org.vcs.bazaar.eclipse.core.tests/build.properties	2009-07-09 20:29:33 +0000
@@ -7,7 +7,8 @@
                .classpath,\
                .project,\
                build.properties,\
-               bzr-java-lib-0.5.1-SNAPSHOT-tests.jar
+               bzr-java-lib-0.5.1-SNAPSHOT-tests.jar,\
+               commons-logging-1.1.1.jar
 src.includes = src/,\
                plugin.xml,\
                build.properties,\
@@ -15,4 +16,4 @@
                .settings/,\
                .project,\
                .classpath,\
-               plugin.properties
\ No newline at end of file
+               plugin.properties

=== modified file 'org.vcs.bazaar.eclipse.core/src/org/vcs/bazaar/eclipse/core/commands/IgnoredCommand.java'
--- org.vcs.bazaar.eclipse.core/src/org/vcs/bazaar/eclipse/core/commands/IgnoredCommand.java	2009-07-09 05:51:20 +0000
+++ org.vcs.bazaar.eclipse.core/src/org/vcs/bazaar/eclipse/core/commands/IgnoredCommand.java	2009-07-09 20:29:33 +0000
@@ -23,6 +23,7 @@
 
 import org.eclipse.core.resources.IProject;
 import org.eclipse.core.resources.IResource;
+import org.eclipse.core.resources.ResourcesPlugin;
 import org.eclipse.core.runtime.IPath;
 import org.eclipse.core.runtime.IProgressMonitor;
 import org.eclipse.core.runtime.Path;
@@ -37,8 +38,8 @@
  */
 public class IgnoredCommand extends BazaarCommand {
 
-	private IResource resource;
-	private Map<IResource, String> ignored = new HashMap<IResource, String>();
+	private final IResource resource;
+	private final Map<IResource, String> ignored = new HashMap<IResource, String>();
 
 	public IgnoredCommand(IResource resource) {
 		this.resource = resource;
@@ -48,11 +49,12 @@
 		IProgressMonitor subMonitor = EclipseBazaarCore.subProgressMonitorFor(monitor);
 		try {
 			monitor.beginTask("executing ignored", 10);
-			IBazaarClient client = getClient(resource.getProject());
-			Map<String, String> ignored = client.ignored(resource.getLocation().toFile());
+			final IBazaarClient client = getClient(resource.getProject());
+			final Map<String, String> ignored = client.ignored(resource.getLocation().toFile());
 			for (Entry<String, String> entry : ignored.entrySet()) {
 				IProject project = resource.getProject();
-				IPath ignoredPath = new Path(entry.getKey()).makeRelativeTo(project.getLocation());
+				IPath fullIgnoredPath = new Path(entry.getKey());
+				IPath ignoredPath = fullIgnoredPath.removeFirstSegments(fullIgnoredPath.matchingFirstSegments(project.getLocation()));
 				IResource resource = project.findMember(ignoredPath);
 				this.ignored.put(resource, entry.getValue());
 			}

=== modified file 'org.vcs.bazaar.eclipse.ui/src/org/vcs/bazaar/eclipse/ui/dialogs/IgnoredDialog.java'
--- org.vcs.bazaar.eclipse.ui/src/org/vcs/bazaar/eclipse/ui/dialogs/IgnoredDialog.java	2009-07-09 05:51:20 +0000
+++ org.vcs.bazaar.eclipse.ui/src/org/vcs/bazaar/eclipse/ui/dialogs/IgnoredDialog.java	2009-07-09 20:29:33 +0000
@@ -103,16 +103,16 @@
 		
 		tableViewer = new CheckboxTableViewer(table);
 		tableViewer.setContentProvider(new IStructuredContentProvider() {
-		    @Override
+
 		    public Object[] getElements(Object inputElement) {
 		        Map<IResource, String> elements = (Map<IResource, String>)inputElement;
 		        return elements.entrySet().toArray();
 		    }
-		    @Override
+
 		    public void inputChanged(Viewer viewer, Object oldInput, Object newInput) {
 		        // do nothing   
 		    }
-            @Override
+
             public void dispose() {
                 // do nothing                
             }

